Bug 518006 - radeonhd driver not using all available memory
Summary: radeonhd driver not using all available memory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans Ulrich Niedermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-18 12:18 UTC by Rodd Clarkson
Modified: 2018-04-11 12:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 00:44:41 UTC


Attachments (Terms of Use)
Xorg.0.log (9.67 KB, application/octet-stream)
2009-08-18 12:18 UTC, Rodd Clarkson
no flags Details
Xorg.0.log for f12 (116.93 KB, application/octet-stream)
2009-11-06 00:08 UTC, Rodd Clarkson
no flags Details

Description Rodd Clarkson 2009-08-18 12:18:20 UTC
Created attachment 357782 [details]
Xorg.0.log

Description of problem:

I have a 

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility HD 3670

and I've noticed in Xorg.0.log that it's only using half the vidoe memory that the system has:

(II) RADEONHD(0): The detected amount of videoram exceeds the PCI BAR aperture.
(II) RADEONHD(0): Using only 262144kB of the total 524288kB.
(--) RADEONHD(0): VideoRAM: 262144 kByte

It would be nice if it used it all ;-]


Version-Release number of selected component (if applicable):

$ rpm -qa | grep radeon
xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc11.x86_64
radeontool-1.5-5.fc11.x86_64

Comment 1 Matěj Cepl 2009-11-05 18:36:30 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Rodd Clarkson 2009-11-06 00:08:20 UTC
Created attachment 367760 [details]
Xorg.0.log for f12

It's not listed the same way, but it appears that it's still only using half the available memory.

(II) RADEON(0): [DRI2] Setup complete
(II) RADEON(0): Front buffer size: 8704K
(II) RADEON(0): Remaining VRAM size (used for pixmaps): 249312K

However, could this be that it's reserving the other half for the other display?  ie it's a laptop with and external monitor connection, so it the other half being reserved incase I plug a external monitor in?

Comment 3 Rodd Clarkson 2010-03-23 00:44:41 UTC
I haven't got the laptop anymore, so I can't really test this!  Since it's was only I that noticed, it makes sense to let i drop


Note You need to log in before you can comment on or make changes to this bug.